Closed Bug 76789 Opened 19 years ago Closed 19 years ago

remove redundant globals from MIME and mail back-end

Categories

(MailNews Core :: MIME, defect, P3)

x86
Linux
defect

Tracking

(Not tracked)

VERIFIED FIXED
mozilla0.9.1

People

(Reporter: waterson, Assigned: waterson)

References

Details

(Keywords: memory-footprint, Whiteboard: Fix in hand)

Attachments

(2 files)

Need some r= love on this.
taking, since I have patches.
Assignee: ducarroz → waterson
Keywords: footprint
Priority: -- → P3
Target Milestone: --- → mozilla0.9.1
Blocks: 46775
Keywords: donttest, patch
I am moving some function into msgbaseutils which is the common static lib used by mailnews modules, that will 
avoid any duplication conflicts. I prefer going this way instead of just declaring them static and therefore having 
the same code at several location.
jfd, sounds good. I'll kick this bug over to you for now; let me know when you 
get some patches...
Assignee: waterson → ducarroz
my patch is working against a current tree and therefore is missing few thing 
from the original patch waterson posted that would not compile. Here what we 
will have to do:

1) need to remove double-quote on any NS_IMPL_NSGETMODULE
2) same with NS_IMPL_NSGETMODULE_WITH_DTOR
3) need to apply the following patch:
Index: db/msgdb/build/nsMsgDBFactory.cpp
===================================================================
RCS file: /cvsroot/mozilla/mailnews/db/msgdb/build/nsMsgDBFactory.cpp,v
retrieving revision 1.26
retrieving revision 1.26.4.2
diff -u -r1.26 -r1.26.4.2
--- nsMsgDBFactory.cpp  2001/04/11 14:22:36     1.26
+++ nsMsgDBFactory.cpp  2001/04/19 20:31:20     1.26.4.2
@@ -258,9 +258,10 @@
 
 static nsMsgDBModule *gModule = NULL;
 
-extern "C" NS_EXPORT nsresult NSGetModule(nsIComponentManager *servMgr,
-                                          nsIFile* aPath,
-                                          nsIModule** return_cobj)
+extern "C" NS_EXPORT nsresult
+NSGETMODULE_ENTRY_POINT(nsMsgDBModule) (nsIComponentManager *servMgr,
+                                        nsIFile* aPath,
+                                        nsIModule** return_cobj)
 {
     nsresult rv = NS_OK;
Whiteboard: Fix in hand
R=varada
Status: NEW → ASSIGNED
I have checked in my patch. Back to Waterson...
Assignee: ducarroz → waterson
Status: ASSIGNED → NEW
Ok, what's left to do, jfd?
we still need to do the stuff I wrote earlier on 2001-04-23 15:47 (see above)
dprice: all the NS_IMPL_GETMODULE stuff has been done on the branch already, and
ideally could be landed ``on its own''. It will require a bit of cuddling in the
commercial tree; I wonder if it's worth its own bug? Anyway, once that is done,
there really isn't anything left to do on this. So, I'm closing the bug.
Status: NEW → RESOLVED
Closed: 19 years ago
Resolution: --- → FIXED
I need a test scenario for this in order to verify it.  Please!
QA Contact: esther → stephend
Verified, "I used LXR, Luke".  
Status: RESOLVED → VERIFIED
Product: MailNews → Core
Product: Core → MailNews Core
You need to log in before you can comment on or make changes to this bug.